aboutsummaryrefslogtreecommitdiffstats
path: root/community/tcptraceroute/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-16 00:23:54 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-16 00:24:21 +0000
commit84f79619a3ef75710df1754d3b7463f41d0ec381 (patch)
tree48529efa5233eec7e72f25457156e0a95a03a755 /community/tcptraceroute/APKBUILD
parentd7a5517b9c5e67a75ac95b5e1f8f833ea822f0c7 (diff)
downloadaports-84f79619a3ef75710df1754d3b7463f41d0ec381.tar.gz
aports-84f79619a3ef75710df1754d3b7463f41d0ec381.tar.bz2
aports-84f79619a3ef75710df1754d3b7463f41d0ec381.tar.xz
community/tcptraceroute: fix build on aarch64
Diffstat (limited to 'community/tcptraceroute/APKBUILD')
-rw-r--r--community/tcptraceroute/APKBUILD10
1 files changed, 5 insertions, 5 deletions
diff --git a/community/tcptraceroute/APKBUILD b/community/tcptraceroute/APKBUILD
index 18cce16287..b29aa3a39c 100644
--- a/community/tcptraceroute/APKBUILD
+++ b/community/tcptraceroute/APKBUILD
@@ -15,15 +15,15 @@ subpackages="$pkgname-doc"
source="https://github.com/mct/tcptraceroute/archive/tcptraceroute-1.5beta7.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgname-$_ver
+builddir="$srcdir"/$pkgname-$pkgname-$_ver
prepare() {
- cd "$_builddir"
- return 0
+ cd "$builddir"
+ update_config_guess || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -32,7 +32,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install
}